 /*--------------------------------------------------------------------------
        I N T R O D U C T I ON   T O   D A T A    E N T R Y   P A R T 4
                                         Using Listboxes
                                             Ron Kessler
                                         Created 1/9/2016

 --------------------------------------------------------------------------
 Updated 1/10/2016

 NOTES:

 This program shows you how to fill a listbox with items and when they select one,
 it puts that item into a textbox.
 The listbox items are filled using the items properties at design time.
 Also note how I set the Tab Order and right-aligned the textboxes and labels.
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Data_Entry_Part_4
{
    public partial class frmStore : Form
    {
        public frmStore()
        {
            InitializeComponent();
        }

        private void lstProducts_SelectedIndexChanged(object sender, EventArgs e)
        {
         /*---when they click on an item, this code runs(executes) and takes the item chosen
                  and puts it into the text property of the txtItem textbox.
          */

            txtItem.Text = Convert.ToString(lstProducts.SelectedItem);
        }


        private void btnOK_Click(object sender, EventArgs e)
        {

            decimal price = Convert.ToDecimal(txtPrice.Text);
            decimal taxRate = .08m;
            decimal salesTax = price * taxRate;
            decimal balanceDue = price + salesTax;

            //---now format as money without the $ showing. "n2" = number with 2 decimal places
            txtPrice.Text = price.ToString("n2");    //in case they type 23.5 I want 23.50
            lblTax.Text = salesTax.ToString("n2");
            lblBalDue.Text = balanceDue.ToString("n2");


        }


        private void btnClear_Click(object sender, EventArgs e)
        {

            //---clear everything and set cursor to name textbox
            txtFirstName.Clear();
            txtLastName.Clear();
            txtItem.Clear();
            txtPrice.Clear();
            lblTax.Text = "";
            lblBalDue.Text = "";
            txtFirstName.Focus();

            lstProducts.ClearSelected();        //clear selected item in listbox
        }

        
        private void btnEnd_Click(object sender, EventArgs e)
        {
            this.Close();
        }

    }
}